Package de.willuhn.jameica.hbci.io

# Class SepaLastschriftMerger

java.lang.Object
de.willuhn.jameica.hbci.io.SepaLastschriftMerger

public class SepaLastschriftMerger extends Object
Fasst SEPA-Lastschriften zu ein oder mehreren SEPA-Sammellastschriften zusammen.

## Constructor Summary

Constructors
Constructor
Description
`SepaLastschriftMerger()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSkipCount()`
Liefert die Anzahl der beim Löschen übersprungenden Aufträge, weil sie Wiederholungsvorlagen sind.
`List<SepaSammelLastschrift>`
`merge(List<SepaLastschrift> lastschriften)`
Merged die Liste der Einzellastschriften zu ein oder mehreren sorten-reinen Sammellastschriften zusammen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaLastschriftMerger

public SepaLastschriftMerger()

## Method Details

### merge

public List<SepaSammelLastschrift> merge(List<SepaLastschrift> lastschriften) throws de.willuhn.util.ApplicationException
Merged die Liste der Einzellastschriften zu ein oder mehreren sorten-reinen Sammellastschriften zusammen.

Parameters:
  `lastschriften` - die Liste der Einzellastschriften.
Returns:
  die Liste der erzeugten Sammel-Lastschriften. die Sammellastschriften sind bereits gespeichert. Sie muessen vom Aufrufer also nicht nochmal extra gespeichert werden - es sei denn, der Aufrufer moechte nochmal Aenderungen daran vornehmen.
Throws:
  `de.willuhn.util.ApplicationException`

### getSkipCount

public int getSkipCount()
Liefert die Anzahl der beim Löschen übersprungenden Aufträge, weil sie Wiederholungsvorlagen sind.

Returns:
  die Anzahl der beim Löschen übersprungenden Aufträge.